import request from '@/utils/request'

const projectApi = {
  add: 'project/addOrUpdate',
  getDict:'project/dict/get',
  list: 'project/pageList',
  get: 'project/get',
  projectCourseList: '',
}

export function projectAdd (params) {
  return request({
    url: projectApi.add,
    method: 'post',
    data: params
  })
}
export function dictGet (params) {
  return request({
    url: projectApi.getDict,
    method: 'get',
    params: params
  })
}

export function getProjectList (params) {
  return request({
    url: projectApi.list,
    method: 'get',
    params: params
  })
}


export function getProjectDetail (params) {
  return request({
    url: projectApi.get,
    method: 'get',
    params: params
  })
}

